Booking API
List booking resources
List schedulable people, sites, rooms, and equipment in the current workspace.
GET
/v1/booking/resourcesRequest
Path, query, and JSON body fields accepted by this operation.
kind"person" | "site" | "room" | "equipment"querystatus"active" | "inactive"query
Response
Successful responses use Dawn's data envelope.
dataBookingResourceListrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requirednamestringrequiredmin length 1max length 120kind"person" | "site" | "room" | "equipment"requiredstatus"active" | "inactive"requiredpractitionerIdstring<uuid> | nullrequiredparentResourceIdstring<uuid> | nullrequiredscheduleIdstring<uuid> | nullrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled.422The booking resource query is invalid.503Booking resources are temporarily unavailable.
Last updated on